./devel/p5-Test-Modern, Precision testing for modern perl

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.013nb1, Package name: p5-Test-Modern-0.013nb1, Maintainer: pkgsrc-users

Test::Modern provides the best features of Test::More, Test::Fatal,
Test::Warnings, Test::API, Test::LongString, and Test::Deep, as well as
ideas from Test::Requires, Test::DescribeMe, Test::Moose, and
Test::CleanNamespaces.

Test::Modern also automatically imposes strict and warnings on your script,
and loads IO::File. (Much of the same stuff Modern::Perl does.)

Although Test::Modern is a modern testing framework, it should run fine on
pre-modern versions of Perl. It should be easy to install on Perl 5.8.9 and
above; and if you can persuade its dependencies to install (not necessarily
easy!), should be OK on anything back to Perl 5.6.1.


Required to run:
[lang/perl5] [devel/p5-Module-Runtime] [devel/p5-Import-Into] [devel/p5-Exporter-Tiny]

Required to build:
[devel/p5-Test-Deep] [devel/p5-Test-Fatal] [devel/p5-Test-Warnings] [devel/p5-Test-API]

Master sites: (Expand)

SHA1: 444aea6a88844b7c6ddc8a85c6f48c64ceaad358
RMD160: bc6f045b8c2f8875de3371df6e39e8826becbdb9
Filesize: 37.839 KB

Version history: (Expand)


CVS history: (Expand)


   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-10-07 16:26:42 by Wen Heping | Files touched by this commit (3)
Log message:
Import Test-Modern-0.013 as devel/p5-Test-Modern.

Test::Modern provides the best features of Test::More, Test::Fatal,
Test::Warnings, Test::API, Test::LongString, and Test::Deep, as well as
ideas from Test::Requires, Test::DescribeMe, Test::Moose, and
Test::CleanNamespaces.

Test::Modern also automatically imposes strict and warnings on your script,
and loads IO::File. (Much of the same stuff Modern::Perl does.)

Although Test::Modern is a modern testing framework, it should run fine on
pre-modern versions of Perl. It should be easy to install on Perl 5.8.9 and
above; and if you can persuade its dependencies to install (not necessarily
easy!), should be OK on anything back to Perl 5.6.1.